Subject: Fwd: Re: DISCUSS percentage question

From: Brian E Carpenter <[email-masked]>
Date: Fri, 13 Nov 2015 13:25:50 +1300

This wasn't on any mailing list as far as I can tell, but
here's a historical snapshot of the DISCUSS question. I'm
hoping Bill won't mind me forwarding this without permission
ten years later...

-------- Forwarded Message --------
Subject: Re: DISCUSS percentage question
Date: Fri, 29 Jul 2005 11:53:24 -0400
From: Bill Fenner <[email-masked]>
To: [email-masked]
CC: [email-masked]

>Is there a way to answer this question with reasonable accuracy:

Determining the accuracy requires spot-checking results, which
I don't have time to do, but I did come up with an answer for
which I think the methodology is sound.

>What % of standards track and BCP documents pass IESG ballot
>without attracting a DISCUSS? (Over the last year, say.)

I got just about 30%:

+---------+-----------------------+
| ballot  | count(approved.docid) |
+---------+-----------------------+
| NULL    |                    62 |
| discuss |                   149 |
+---------+-----------------------+

Here's my methodology:

1. Create a temporary table with all discussed documents:

create temporary table discuss
select distinct docid,ballot from comments
where ballot='discuss'

(comments is my copy of the comment log, and ballot is whether it was a
regular comment, a ballot comment, or a ballot discuss)

2. Create a temporary table with the set of BCP or standards track
documents (docintend of [20..23]) that were approved
(newstate of [50..59]) since 8/1/2004  (changedate)

create temporary table approved
select distinct docs.docid from docs, dochistory
where
dochistory.docid = docs.docid
and
( docintend >= 20 and docintend <= 23 )
and
( newstate >= 50 and newstate <= 69 )
and
( changedate >= '2004-08-01' )

3. Join the two temporary tables together and count the result:

select ballot, count(approved.docid) from approved
left join discuss on discuss.docid = approved.docid
group by ballot

  Bill